<?php
/** 
 * A simple reader for forge user tags
 *
 * @ingroup Readers
 */
class ForgeUserTagReader extends HippoReader {
	/**
	 * Constructor.
	 *
	 * @return 	void
	 * @param		connection	HippoSqlConnection instance
	 */
  public function __construct($connection) {
		$this->select_sql =<<<ENDOFSQL
SELECT 
t.tag_id
, t.tag_text
, t.num_tags
FROM Tag2ForgeUser t2fu
INNER JOIN Tag t
	ON t2fu.tag = t.tag_id 
ENDOFSQL;
		$this->groupby_sql= " GROUP BY t.tag_id ";
		parent::__construct($connection);
  }
}
?>

