<?php
/** 
 * A simple reader for project observers
 *
 * @ingroup Readers
 */
class ObserverReader extends HippoReader {
	/**
	 * Constructor.
	 *
	 * @return 	void
	 * @param		connection	HippoSqlConnection instance
	 */
  public function __construct($connection) {
		$this->select_sql =<<<ENDOFSQL
SELECT 
	o.item_type
, o.item_id
, o.forge_user
FROM Observers o
ENDOFSQL;
		parent::__construct($connection);
  }
}
?>
