<?php
/** 
 * A simple reader for tags
 *
 * @ingroup Readers
 */
class TagReader extends HippoReader {
	/**
	 * Constructor.
	 *
	 * @return 	void
	 * @param		connection	HippoSqlConnection instance
	 */
  public function __construct($connection) {
		$this->select_sql =<<<ENDOFSQL
SELECT 
t.tag_id
, t.tag_text
, t.num_tags
FROM Tag t
ENDOFSQL;
		parent::__construct($connection);
  }
}
?>
