<?php
/** 
 * A simple reader for unified votes
 *
 * @ingroup Readers
 */
class VoteReader extends HippoReader {
	/**
	 * Constructor.
	 *
	 * @return 	void
	 * @param		connection	HippoSqlConnection instance
	 */
  public function __construct($connection) {
		$this->select_sql =<<<ENDOFSQL
SELECT SQL_NO_CACHE
	v.item_type
, v.item_id
, v.forge_user
, v.vote_value
, v.voted_on
FROM Votes v
ENDOFSQL;
		parent::__construct($connection);
  }
}
?>

