<?php
/** 
 * A simple reader for unified voting summary records 
 *
 * @ingroup Readers
 */
class VoteSummaryReader extends HippoReader {
	/**
	 * Constructor.
	 *
	 * @return 	void
	 * @param		connection	HippoSqlConnection instance
	 */
  public function __construct($connection) {
		$this->select_sql =<<<ENDOFSQL
SELECT SQL_NO_CACHE
	vs.item_type
, vs.item_id
, vs.total_votes
, vs.total_vote_value
FROM VoteSummary vs
ENDOFSQL;
		parent::__construct($connection);
  }
}
?>
