#!/usr/bin/php
<?php
include '../bootstrap.php';
$cnn= HippoDb::master();
$sql=<<<ENDOFSQL
SELECT tool_id, original_notes
FROM CodeSnippets
ENDOFSQL;
$snippets= $cnn->get_rows($sql);
foreach ($snippets as $snippet) {
	$tool_id= $snippet['tool_id'];
	$clean_notes= TextCleaner::clean_html($snippet['original_notes']);
	$sql=<<<ENDOFSQL
UPDATE CodeSnippets SET clean_notes= ? WHERE tool_id = ?
ENDOFSQL;
	$cnn->add_param($clean_notes);
	$cnn->add_param($tool_id);
	$cnn->query($sql);
	$cnn->reset();
}
?>
