<?php
/* 
Comment list template.
Usage:
  {include file="list-comments.tpl" comments=$project.comments}
*/
if (isset($comments)) {
	foreach ($comments as $comment) {
?>
<div class="comment-block">
<div class="comment-byline">
<?php echo ForgeTranslate::get('On');?> <em>
<?php echo strftime(ForgeConfig::get('DATE_FORMAT'), forge_str2timestamp($comment['added_on']));?></em>
, <strong><?php echo htmlentities($comment['added_by_display']);?></strong> <?php echo ForgeTranslate::get('said');?>:<br />
</div>
<div class="comment-text">
<? echo htmlentities($comment['comment_text']);?>
</div>
</div>
<?php
	} /* End loop on comments */
}
else {
?>
<p>No Comments yet</p>
<?php
} /* End if comments */
?>
