<div class="round-box dialog-larger-size">
<div class="round-top"><div></div></div>
<div class="round-inner">
<form action="" method="post">
<input type="hidden" name="action" value="edit" />
<h1 class="round-title"><?php echo ForgeTranslate::get('Create Account');?></h1>
<h2 class="section-subtitle"><?php echo ForgeTranslate::get('Private Information');?></h2>
<p class="callout-block">
<?php echo ForgeTranslate::get('All fields in the "Private Information" area will never be shown to any other Forge users.');?>
</p>
<table border="0" cellspacing="2" cellpadding="2" width="100%">
<tr>
<td align="right" valign="top" nowrap="true"><label for="email" class="required"><?php echo ForgeTranslate::get('Your email address');?>:</label></td>
<td align="left" valign="top">
	 <input autocomplete="off" type="text" class="inputbox" maxlength="80" size="34"
	 id="email" name="email" value="<?php echo $person->email; ?>"
				tabindex="1" />
<?php ForgeUI::error('email');?>
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="password" class="required"><?php echo ForgeTranslate::get('Password');?>:</label></td>
<td align="left" valign="top">
	 <input autocomplete="off" type="password" class="inputbox" maxlength="32" size="26"
				id="password" name="password" value="<?php echo $person->password; ?>"
				tabindex="2" />
<?php ForgeUI::error('password');?>
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="confirm_password" class="required"><?php echo ForgeTranslate::get('Confirm password');?>:</label></td>
<td align="left" valign="top">
	 <input autocomplete="off" type="password" class="inputbox" maxlength="32" size="26"
				id="confirm_password" name="confirm_password" value="<?php echo isset($confirm_password) ? $confirm_password : ''; ?>"
				tabindex="3" />
<?php ForgeUI::error('confirm_password');?>
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="language" class="required"><?php echo ForgeTranslate::get('Your native language');?>:</label></td>
<td align="left" valign="top">
	<select id="language" name="language" tabindex="4" class="inputbox">
<?php ForgeUI::html_options($languages, $person->language); ?>
	</select>
<?php ForgeUI::error('language');?>
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="timezone" class="required"><?php echo ForgeTranslate::get('Your timezone');?>:</label></td>
<td align="left" valign="top">
	<select id="timezone" name="timezone" tabindex="5" class="inputbox">
<?php ForgeUI::html_options($timezones, $person->timezone); ?>
	</select>
<?php ForgeUI::error('timezone');?>
</td>
</tr>
<tr>
<td align="right" valign="top"><label for="address"><?php echo ForgeTranslate::get('Your home address');?>:</label></td>
<td align="left" valign="top">
	<textarea class="inputbox" cols="30" rows="2"
						id="address" name="address" tabindex="6"><?php echo $person->address ?></textarea>
<?php ForgeUI::error('address');?>
</td>
</tr>
</table>
<h2 class="section-subtitle"><?php echo ForgeTranslate::get('Public Information');?></h2>
<p class="callout-block">
<?php echo ForgeTranslate::get('These fields will be shown to Forge users when they view your public profile (this page).  If you don\'t want a field\'s information shown, leave it blank.');?>
</p>
<table border="0" cellspacing="2" cellpadding="2" width="100%">
<tr>
<td align="right" valign="top" nowrap="true"><label for="display_name" class="required"><?php echo ForgeTranslate::get('Your display name');?>:</label></td>
<td align="left" valign="top">
	 <input type="text" class="inputbox" maxlength="40" size="25"
				id="display_name" name="display_name" value="<?php echo $person->display_name; ?>"
				tabindex="7" />
<?php ForgeUI::error('display_name');?>
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="first_name"><?php echo ForgeTranslate::get('Your first name');?>:</label></td>
<td align="left" valign="top">
	 <input type="text" class="inputbox" maxlength="25" size="28"
				id="first_name" name="first_name" value="<?php echo $person->first_name; ?>"
				tabindex="8" />
<?php ForgeUI::error('first_name');?>
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="last_name"><?php echo ForgeTranslate::get('Your last name');?>:</label></td>
<td align="left" valign="top">
	 <input type="text" class="inputbox" maxlength="30" size="30"
				id="last_name" name="last_name" value="<?php echo $person->last_name; ?>"
				tabindex="9" />
<?php ForgeUI::error('last_name');?>
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="url"><?php echo ForgeTranslate::get('Your website');?>:</label></td>
<td align="left" valign="top">
	 <input type="text" class="inputbox" maxlength="80" size="45"
				id="url" name="url" value="<?php echo $person->url; ?>"
				tabindex="10" />
<?php ForgeUI::error('url');?>
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="country" class="required"><?php echo ForgeTranslate::get('Your home country');?>:</label></td>
<td align="left" valign="top">
	<select id="country" name="country" tabindex="11" class="inputbox">
<?php ForgeUI::html_options($countries, $person_profile->country); ?>
	</select>
<?php ForgeUI::error('country');?>
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="city"><?php echo ForgeTranslate::get('Your home city');?>:</label></td>
<td align="left" valign="top">
	 <input type="text" class="inputbox" maxlength="30" size="30"
				id="city" name="city" value="<?php echo $person->email; ?>"
				tabindex="12" />
<?php ForgeUI::error('city');?>
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="province"><?php echo ForgeTranslate::get('Your home province/state');?>:</label></td>
<td align="left" valign="top">
	 <input type="text" class="inputbox" maxlength="20" size="20"
				id="province" name="province" value="<?php echo $person->province; ?>"
				tabindex="13" />
<?php ForgeUI::error('province');?>
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="current_title"><?php echo ForgeTranslate::get('Your current position/title');?>:</label></td>
<td align="left" valign="top">
	 <input type="text" class="inputbox" maxlength="100" size="40"
				id="current_title" name="current_title" value="<?php echo $person->current_title; ?>"
				tabindex="14" />
<?php ForgeUI::error('current_title');?>
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="current_company"><?php echo ForgeTranslate::get('Your current employer');?>:</label></td>
<td align="left" valign="top">
	 <input type="text" class="inputbox" maxlength="100" size="40"
				id="current_company" name="current_company" value="<?php echo $person->current_employer; ?>"
				tabindex="15" />
<?php ForgeUI::error('current_company');?>
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="bio"><?php echo ForgeTranslate::get('Your bio or "public page"');?>:</label></td>
<td align="left" valign="top">
	<textarea type="text" class="inputbox" tabindex="16" cols="70" rows="30" id="bio" name="bio"><?php echo $person->bio; ?></textarea>
<?php ForgeUI::error('bio');?>
<p style="padding: 2px;"> 
	<img src="<?php echo $HTTP_ROOT; ?>img/note32.png" style="float: left; margin: 0px 10px 10px 0px;"/>
<strong><?php echo ForgeTranslate::get('Please note');?></strong>:<br />
<?php echo ForgeTranslate::get('HTML will be purified, but we allow for a number of HTML tags so that you have the flexibility to decorate your bio to some extent. The comments allow the following HTML tags');?>:
<br/><br/>
<strong>strong</strong>, <strong>b</strong>, <em>em</em>, blockquote, a, code, pre<br /><br />
</p>
</td>
</tr>
</table>
<?php
HippoEvents::notify('plugin_append_html_to_template', 'people/add');
?>
<div style="text-align: center;"><input  type="submit" class="button" value="<?php echo ForgeTranslate::get('Create Account...');?>" tabindex="18" /></div>
</form>
<div class="round-bottom"><div><div></div></div></div>


