<div class="round-box dialog-larger-size">
<div class="round-top"><div></div></div>
<div class="round-inner">
<form action="{$DIR_HTTP}people/person.php" method="post">
<input type="hidden" name="action" value="edit" />
<h1 class="round-title">Create Account</h1>
<h2 class="section-subtitle">Private Information</h2>
<p class="callout-block">
All fields in the "Private Information" area will never be shown to any other Forge users.
</p>
<table border="0" cellspacing="2" cellpadding="2" width="100%">
<tr>
<td align="right" valign="top" nowrap="true"><label for="email" class="required">Your email address:</label></td>
<td align="left" valign="top">
	 <input autocomplete="off" type="text" class="inputbox" maxlength="80" size="34"
				id="email" name="email" value="{$person->email|escape|default:''}"
				tabindex="1" />
	{include file="form-error.tpl" id="email"}
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="password" class="required">Password:</label></td>
<td align="left" valign="top">
	 <input autocomplete="off" type="password" class="inputbox" maxlength="32" size="26"
				id="password" name="password" value="{$person->password|escape|default:''}"
				tabindex="2" />
	{include file="form-error.tpl" id="password"}
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="confirm_password" class="required">Confirm password:</label></td>
<td align="left" valign="top">
	 <input autocomplete="off" type="password" class="inputbox" maxlength="32" size="26"
				id="confirm_password" name="confirm_password" value="{$smarty.post.confirm_password|escape|default:""}"
				tabindex="3" />
	{include file="form-error.tpl" id="confirm_password"}
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="language" class="required">Your native language:</label></td>
<td align="left" valign="top">
	<select id="language" name="language" tabindex="4" class="inputbox">
	{html_options options=$languages selected=$person->language}
	</select>
	{include file="form-error.tpl" id="language"}
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="timezone" class="required">Your timezone:</label></td>
<td align="left" valign="top">
	<select id="timezone" name="timezone" tabindex="5" class="inputbox">
	{html_options options=$timezones selected=$person->timezone}
	</select>
	{include file="form-error.tpl" id="timezone"}
</td>
</tr>
<tr>
<td align="right" valign="top"><label for="address">Your home address:</label></td>
<td align="left" valign="top">
	<textarea class="inputbox" cols="30" rows="2"
						id="address" name="address" tabindex="6">{$person_profile->address|default:""}</textarea>
	{include file="form-error.tpl" id="address"}
</td>
</tr>
</table>
<h2 class="section-subtitle">Public Information</h2>
<p class="callout-block">
These fields will be shown to Forge users when they view your public profile (this page).  If you don't want a field's information shown, leave it blank.
</p>
<table border="0" cellspacing="2" cellpadding="2" width="100%">
<tr>
<td align="right" valign="top" nowrap="true"><label for="display_name" class="required">Your display name:</label></td>
<td align="left" valign="top">
	 <input type="text" class="inputbox" maxlength="40" size="25"
				id="display_name" name="display_name" value="{$person->display_name|escape|default:''}"
				tabindex="7" />
	{include file="form-error.tpl" id="display_name"}
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="first_name">Your first name:</label></td>
<td align="left" valign="top">
	 <input type="text" class="inputbox" maxlength="25" size="28"
				id="first_name" name="first_name" value="{$person_profile->first_name|escape|default:''}"
				tabindex="8" />
	{include file="form-error.tpl" id="first_name"}
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="last_name">Your last name:</label></td>
<td align="left" valign="top">
	 <input type="text" class="inputbox" maxlength="30" size="30"
				id="last_name" name="last_name" value="{$person_profile->last_name|escape|default:''}"
				tabindex="9" />
	{include file="form-error.tpl" id="last_name"}
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="url">Your website:</label></td>
<td align="left" valign="top">
	 <input type="text" class="inputbox" maxlength="80" size="45"
				id="url" name="url" value="{$person_profile->url|escape|default:''}"
				tabindex="10" />
	{include file="form-error.tpl" id="url"}
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="country" class="required">Your home country:</label></td>
<td align="left" valign="top">
	<select id="country" name="country" tabindex="11" class="inputbox">
		 {html_options options=$countries selected=$person_profile->country}
	</select>
	{include file="form-error.tpl" id="country"}
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="city">Your home city:</label></td>
<td align="left" valign="top">
	 <input type="text" class="inputbox" maxlength="30" size="30"
				id="city" name="city" value="{$person_profile->city|escape|default:''}"
				tabindex="12" />
	{include file="form-error.tpl" id="city"}
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="province">Your home province/state:</label></td>
<td align="left" valign="top">
	 <input type="text" class="inputbox" maxlength="20" size="20"
				id="province" name="province" value="{$person_profile->province|escape|default:''}"
				tabindex="13" />
	{include file="form-error.tpl" id="province"}
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="current_title">Your current position/title:</label></td>
<td align="left" valign="top">
	 <input type="text" class="inputbox" maxlength="100" size="40"
				id="current_title" name="current_title" value="{$person_profile->current_title|escape|default:''}"
				tabindex="14" />
	{include file="form-error.tpl" id="current_title"}
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="current_company">Your current employer:</label></td>
<td align="left" valign="top">
	 <input type="text" class="inputbox" maxlength="100" size="40"
				id="current_company" name="current_company" value="{$person_profile->current_company|escape|default:''}"
				tabindex="15" />
	{include file="form-error.tpl" id="current_company"}
</td>
</tr>
<tr>
<td align="right" valign="top" nowrap="true"><label for="bio">Your bio or "public page":</label></td>
<td align="left" valign="top">
	<textarea type="text" class="inputbox" tabindex="16" cols="70" rows="30" id="bio" name="bio">{$person_profile->bio|escape|default:""}</textarea>
	{include file="form-error.tpl" id="bio"}
<p style="padding: 2px;"> 
<img src="{$DIR_HTTP}img/note32.png" style="float: left; margin: 0px 10px 10px 0px;"/>
<strong>Please note</strong>:<br />
HTML</em> will be purified, but we allow for a number of HTML tags so that
you have the flexibility to decorate your bio to some extent.  The
comments allow the following HTML tags:<br/><br/>
<strong>strong</strong>, <strong>b</strong>, <em>em</em>, blockquote, a, code, pre<br /><br />
</p>
</td>
</tr>
</table>
<h2 class="section-subtitle">Just Checking You're Human...</h2>
<div style="padding-left: 180px; padding-bottom: 20px;">
{$captcha_html}
{include file="form-error.tpl" id="captcha"}
</div>
<div style="text-align: center;"><input  type="submit" class="button" value="Create Account..." tabindex="18" /></div>
</form>
</div>
<div class="round-bottom"><div><div></div></div></div>

