<?php
if (isset($person)) {
?>
<script lang="Javascript">
var Tabs= {
	init : function(){
		var tabs = new Ext.TabPanel('tabs');
		tabs.addTab('profile-content', "<?php echo ForgeTranslate::get('Profile');?>");
<?php
if (isset($person['editable_by_user']) && $person['editable_by_user'] == TRUE) {
?>
	tabs.addTab('edit-content', "<?php echo ForgeTranslate::get('Edit Your Profile');?>");
<?php
}
?>
tabs.addTab('tags-content', "<?php echo ForgeTranslate::get('Tags');?> (<?php echo $total_tags;?>)");
<?php
if (forge_issetor('total_contributed_projects', 0) > 0) {
?>
	tabs.addTab('projects-content', "<?php echo ForgeTranslate::get('Contributed Projects');?> (<?php echo $total_contributed_projects;?>)");
<?php
}
if (forge_issetor('total_contributed_tools', 0) > 0) {
?>
	tabs.addTab('snippets-content', "<?php echo ForgeTranslate::get('Contributed Code Snippets');?> (<?php echo $total_contributed_tools;?>)");
<?php
}
if (forge_issetor('total_contributed_mwpages', 0) > 0) {
?>
	tabs.addTab('mwpages-content', "<?php echo ForgeTranslate::get('Wiki Created/Edited Content');?> (<?php echo $total_contributed_mwpages;?>)");
<?php
}
if ((isset($tab) && $tab == 'profile') or (isset($errors) && count($errors) > 0)) {
?>
		tabs.activate('edit-content');
<?php
}
else {
?>
		tabs.activate('profile-content');
<?php
}
?>
	}
}
Ext.EventManager.onDocumentReady(Tabs.init, Tabs, true);
</script>
<table border="0" cellspacing="0" cellpadding="0" width="100%" style="margin: 0;">
 <tr>
  <td align="left" valign="top" width="70%" style="padding: 5px 10px;">
	<h1 class="section-title"><?php echo htmlentities($person['display_name']);?></h1>
<?php
if (isset($person['country']) && ! empty($person['country'])) {
?>
	<h2 class="section-subtitle"><?php echo ForgeTranslate::get('Located In');?>
: <strong style="color: #c00;">
<?php 
	if (isset($person['city']) && ! empty($person['city'])) { 
		echo htmlentities($person['city']);}
		if (isset($person['province']) && ! empty($person['province']))
			echo ", " . htmlentities($person['province']) . ", ";
		echo $person['country_desc'];
?>
</strong></h2>
<?php
}
?>
		<div id="tabs">
			<div id="profile-content" class="tab-content">
<?php
if (isset($person['bio']) && ! empty($person['bio'])) {
?>
				<p class="description-block">
<?php echo $person['bio']; /* Cleaned and escaped in handler */ ?>
				</p>
<?php
}
?>
				<h2 class="section-subtitle"><?php echo ForgeTranslate::get('General Information');?></h2>
				<div class="mini-row">
					<label><?php echo ForgeTranslate::get('Forge Member since');?>:</label>
					<span><?php echo date(ForgeConfig::get('DATE_FORMAT'), forge_str2timestamp($person['created_on']));?></span>
				</div>
<?php 
if (isset($person['url']) && ! empty($person['url'])) { 
?>
				<div class="mini-row">
					<label><?php echo ForgeTranslate::get('Website');?>:</label>
					<span><a href="<?php echo $person['url'];?>"><?php echo htmlentities($person['url']);?></a></span>
				</div>
<?php 
}
if (isset($person['current_title']) && ! empty($person['current_title'])) { 
?>
				<div class="mini-row">
					<label><?php echo ForgeTranslate::get('Current position');?>:</label>
					<span><?php echo htmlentities($person['current_title']);?></span>
				</div>
<?php 
}
if (isset($person['current_company']) && ! empty($person['current_company'])) { 
?>
				<div class="mini-row">
					<label><?php echo ForgeTranslate::get('Current employer');?>:</label>
					<span><?php echo htmlentities($person['current_company']);?></span>
				</div>
<?php 
}
?>
				<h2 class="section-subtitle"><?php echo ForgeTranslate::get('Contributions');?></h2>
<?php
HippoEvents::notify('plugin_append_html_to_template_section', 'people/person', 'contributions');
/*
				<div class="mini-row">
					<label># Projects Contributed:</label>
					<span><?php echo $total_contributed_projects;?> projects</span>
				</div>
				<div class="mini-row">
					<label># Code Snippets Contributed:</label>
					<span><?php echo $total_contributed_tools;?> code snippets</span>
				</div>
			</div>
			<div id="projects-content" class="tab-content">
   			{include file="people/person-contributed-projects.tpl"}
			</div>
			<div id="snippets-content" class="tab-content">
   			{include file="people/person-contributed-tools.tpl"}
			</div>
			<div id="mwpages-content" class="tab-content">
   			{include file="people/person-contributed-mwpages.tpl"}
</div>
 */
if (isset($person['editable_by_user']) && $person['editable_by_user'] == TRUE) {
?>
			<div id="edit-content" class="tab-content">
<?php
ForgeUI::include_template("people/edit");
?>
			</div>
<?php
}
?>
			<div id="tags-content" class="tab-content">
<?php
ForgeUI::include_template(dirname(dirname(__FILE__)) . "/tag-cloud.php", array('tags'=>$person['tags'], 'link'=>$person['taglink'], 'no_rounded_box'=>1));
ForgeUI::include_template(dirname(dirname(__FILE__)) . "/add-tag.php", array('current_tags'=>$person['tags'], 'item'=>'forge_user', 'item_id'=>$person['user_id']));
?>
			</div>
		</div>
	</td>
 </tr>
</table>
<?php
}
else {
?>
<p>
<?php echo ForgeTranslate::get('Unfortunately, a community member with that ID does not exist');?>
</p>
<?php
}
?>
