{if isset($project)}
{literal}
<script lang="Javascript">
var Tabs= {
	init : function(){
		var tabs = new Ext.TabPanel('tabs');
		tabs.addTab('general-content', "Project Info");
		tabs.addTab('tags-content', "Tags ({/literal}{$total_tags}{literal})");
{/literal}
{if $project.editable_by_user}
{literal}
		tabs.addTab('edit-content', "Edit");
{/literal}
{/if}
{literal}
		tabs.addTab('feedback-content', "Community Feedback ({/literal}{$total_comments}{literal})");
{/literal}
{if isset($errors) && count($errors) gt 0}
{literal}
		tabs.activate('edit-content');
{/literal}
{else}
{literal}
		tabs.activate('general-content');
{/literal}
{/if}
		{if $LOGGED_IN}
		{foreach from=$rating_units item=unit}
		{literal}
				new Rating("rater{/literal}{$unit}{literal}");
		{/literal}
		{/foreach}
		{/if}
		{literal}
	}
}
Ext.EventManager.onDocumentReady(Tabs.init, Tabs, true);
</script>
{/literal}
<table border="0" cellspacing="0" cellpadding="0" width="100%" style="margin: 0;">
 <tr>
  <td align="left" valign="top" width="70%" style="padding: 5px 10px;">
		<h1 class="section-title">{$project.name|escape}</h1>
		<h2 class="section-subtitle">Developed In: 
			<strong style="color: #c00;">{$project.program_language_display}</strong>
			&nbsp;&mdash;&nbsp;Status:&nbsp;
			<strong>{$project.primary_status_display}</strong>
		</h2>
		<div id="tabs">
			<div id="general-content" class="tab-content">
				<p class="description-block">
				{$project.description|escape}
				</p>
				<div class="mini-row">
					<label>URL:</label>
					<a target="_new" rel="nofollow" href="{$project.url|escape}">{$project.url|escape|truncate:"50":"...":true}</a>
				</div>
				<div class="mini-row">
					<label>Added by:</label>
					<a href="{$DIR_HTTP}people/person.php?id={$project.added_by}">{$project.added_by_display|escape}</a>
				</div>
				<div class="mini-row">
					<label>License:</label>
					<span>{$project.license_display}</span>
				</div>
				<div class="mini-row">
					<label>Target Audience:</label>
					<span>{$project.primary_audience_display}</span>
				</div>
				<div class="mini-row">
					<label>Target Skill Level:</label>
					<span>{$project.audience_knowledge_level_display}</span>
				</div>
				<div class="mini-row">
					<label>Development Status:</label>
					<span>{$project.primary_status_display}</span>
				</div>
				<div class="mini-row">
					<label>Development In:</label>
					<span>{$project.program_language_display}</span>
				</div>
			</div>
			<div id="tags-content" class="tab-content">
				{include file="tag-cloud.tpl" tags=$project.tags link=$project.taglink no_rounded_box=1}
				{include file="add-tag.tpl" current_tags=$project.tags item="project" item_id=$project.project_id}
			</div>
			{if $project.editable_by_user}
			<div id="edit-content" class="tab-content">
				{include file="projects/edit.tpl"}
			</div>
			{/if}
			<div id="feedback-content" class="tab-content">
  			{include file="list-comments.tpl" comments=$project.comments}
			</div>
		</div>
	</td>
	<td valign="top" align="left" width="30%" style="padding: 5px 10px;">
	<h1 class="section-title">Votes</h1>
	{include file="rating-block.tpl" item="project" id=$project.project_id score=$project.ratings.score vote=$project.vote total_votes=$project.ratings.total_votes}
	<h1 class="section-title">Watches</h1>
	{include file="tracking.tpl" item="project" id=$project.project_id observing=$project.observing num_observers=$project.num_observers}
	<h1 class="section-title">Provide Feedback</h1>
	{include file="add-comment.tpl" item="project" id=$project.project_id}
	</td>
 </tr>
</table>
{else}
<p>
Unfortunately, a project with that ID does not exist 
</p>
{/if}
