<?php
/* 
Rating block template.
Usage:
  {include file="rating-block.tpl" item="worklog" score=$task.score id=$task.task_id rating_units=$rating_units width=$rating_width}
 */
if (! isset($rating_units)) 
	$rating_units= 5;
if (! isset($rating_width))
	$rating_width= $rating_units * 30;
?>
<div class="rating-block">
<ul id="rating-block-<?php echo $item . '-' . $id;?>" class="rating-list" style="width: <? echo $rating_width;?>px;">
<?php
if (isset($score)) {
?>
	<li class="current" style="width: <?php echo $current_vote_width;?>px;">
<?php echo ForgeTranslate::get('Rated') . ' ' . $score . ForgeTranslate::get('out of') . ' ' . $rating_unit_count;?>
	</li>
<?php
}
if ($LOGGED_IN) {
	foreach ($rating_units as $unit) {
?>
		<li>
			<a id="rater<?php echo $unit;?>" 
				 class="rater r<?php echo $unit;?>}" 
				 rel="nofollow" 
				 href="<?php echo ForgeUrl::out('vote', array('item'=>$item, 'vote'=>$unit, 'id'=>$id));?>" 	
				 title="<?php echo $unit;?> <?php echo ForgeTranslate::get('out of');?> <?php echo $rating_unit_count;?>"><?php echo $unit;?></a>
		</li>
<?php
	} /* End loop on rating units */
} /* End if logged in */
?>
	</ul>
	<div<?php if empty($vote) {?> class="already-voted"<?php };?>>
<?php
if ($total_votes > 0) {
?>
	<?php echo ForgeTranslate::get('Rated');?>&nbsp;
	<strong><?php echo $score;?></strong>&nbsp;
	<?php echo ForgeTranslate::get('out of') . ' ' . $rating_unit_count . ' ' . ForgeTranslate::get('with');?>&nbsp;
	<strong><?php echo $total_votes;?></strong> <?php echo ForgeTranslate::nget('vote cast', 'votes cast', $total_votes);?>
<?php
}
else {
?>
	Not yet rated.
<?php
}
if (! $LOGGED_IN) {
?>
<div class="cannot-comment">
<?php echo ForgeTranslate::get('You must be logged in to vote');?>.
</div>
<?php
}
?>
	</div>
</div>
<?php
ForgeUI::error('vote');?>
