{if isset($search_request->result_columns)}
	{if $smarty.server.QUERY_STRING ne ""}
		{assign var="_query_string" value=$smarty.server.QUERY_STRING|regex_replace:"/&*(sortby|sortorder)=[^&]*/i":""|escape}
		{if $_query_string ne ""}
			{assign var="_sort_url_prefix" value="?"|cat:$_query_string|cat:"&sortby="}
		{else}
			{assign var="_sort_url_prefix" value="?sortby="}
		{/if}
	{else}
		{assign var="_query_string" value=""}
		{assign var="_sort_url_prefix" value="?sortby="}
	{/if}
	{if isset($smarty.get.sortorder)}
		{assign var="_sort_order" value=$smarty.get.sortorder|escape|lower}
	{else}
		{assign var="_sort_order" value="asc"}
	{/if}
	{if isset($smarty.get.sortby)}
		{assign var="_sort_field" value=$smarty.get.sortby|escape|lower}
	{else}
		{assign var="_sort_field" value="asc"}
	{/if}
	<tr>
	{foreach from=$search_request->result_columns item=column}
			{if isset($column.is_sortable) && $column.is_sortable}
				<th class="col-header{if $_sort_field eq $column.name|lower} {$_sort_order}{/if}" nowrap="true">
					<a href="{$smarty.server.SCRIPT_NAME}{$_sort_url_prefix}{$column.name}&sortorder={if $_sort_order eq "asc" && $_sort_field eq $column.name|lower}desc{else}asc{/if}" title="Sort By {$column.Title}">
						{$column.title}
					</a>
			{else}
				<th class="col-header" nowrap="true">{$column.title}
			{/if}
			{if isset($column.subtitle)}
				<span class="subtitle">{$column.subtitle}</span>
			{/if}
			</th>
	{/foreach}
	</tr>
{/if}
