<?php
if (isset($tags) && count($tags) > 0) {
	if (! isset($no_rounded_box) || (bool) $no_rounded_box == FALSE) {
?>
<div class="round-box">
<div class="round-top"><div></div></div>
<div class="round-inner">
<h1 class="round-title">Browse By Tag</h1>
<?php
	}
	else {
?>
<h2 class="section-subtitle">Current Tags</h2>
<?php
	}
?>
<div class="tag-cloud">
<?php
	foreach ($tags as $tag) {
		$html= "span class='t";
		if ($tag['num_tags'] > 1000)
			$html.= '6';
		elseif ($tag['num_tags'] > 100)
			$html.= '5';
		elseif ($tag['num_tags'] > 50)
			$html.= '4';
		elseif ($tag['num_tags'] > 10)
			$html.= '3';
		elseif ($tag['num_tags'] > 5)
			$html.= '2';
		else
			$html.= '1';
		$html.="'>";
		if (isset($link))
			$html.= "<a href=\"" . $link . urlencode($tag['tag_text']) . "\">" . htmlentities($tag['tag_text']) . "</a>";
		else
			$html.= htmlentities($tag['tag_text']);
		$html.= "</span>&nbsp;";
		echo $html;
	}
?>
</div>
<?php
	if (! isset($no_rounded_box) || (bool) $no_rounded_box == FALSE) {
?>
</div>
<div class="round-bottom"><div><div></div></div></div>
<?php
	}
} /* End have tags */
?>
