{if ! empty($snippet)}
{literal}
<script lang="Javascript">
var Tabs= {
	init : function(){
		var tabs = new Ext.TabPanel('tabs');
		tabs.addTab('general-content', "Snippet Info");
		tabs.addTab('display-content', "Show Highlighted Code");
		tabs.addTab('download-content', "Show Plain Text Code");
		tabs.addTab('tags-content', "Tags ({/literal}{$total_tags}{literal})");
{/literal}
{if $snippet.editable_by_user}
{literal}
		tabs.addTab('edit-content', "Edit");
{/literal}
{/if}
{literal}
		tabs.addTab('feedback-content', "Community Feedback ({/literal}{$total_comments}{literal})");
{/literal}
{if isset($errors) && count($errors) gt 0}
{literal}
		tabs.activate('edit-content');
{/literal}
{else}
{literal}
		tabs.activate('general-content');
{/literal}
{/if}
		{if $LOGGED_IN}
		{foreach from=$rating_units item=unit}
		{literal}
				new Rating("rater{/literal}{$unit}{literal}");
		{/literal}
		{/foreach}
		{/if}
		{literal}
	}
}
Ext.EventManager.onDocumentReady(Tabs.init, Tabs, true);
</script>
{/literal}
<table border="0" cellspacing="0" cellpadding="0" width="100%" style="margin: 0;">
 <tr>
  <td align="left" valign="top" width="70%" style="padding: 5px 10px;">
		<h1 class="section-title">{$snippet.title|escape}</h1>
		<h2 class="section-subtitle">Developed In: <strong style="color: #c00;">{$snippet.program_language_display}</strong> &mdash; Contributed by: <strong><a href="{$DIR_HTTP}people/person.php?id={$snippet.added_by}">{$snippet.added_by_display|escape}</a></strong></h2>
		<div id="tabs">
			<div id="general-content" class="tab-content">
				{$snippet.clean_notes} {* PRE-ESCAPED and PURIFIED *}
				<hr />
				<div class="mini-row">
					<label>Added by:</label>
					<a href="{$DIR_HTTP}people/person.php?id={$snippet.added_by}">{$snippet.added_by_display|escape}</a>
				</div>
				<div class="mini-row">
					<label>Developed In:</label>
					<span>{$snippet.program_language_display}</span>
				</div>
			</div>
			<div id="display-content" class="tab-content">
				{$snippet.source_code}
			</div>
			<div id="download-content" class="tab-content">
				<textarea cols="70" rows="24" class="inputbox" style="width: 100%; color: #000; font-family: monospace, Courier; font-size: 9px;">{$snippet.snippet_text|escape}</textarea>
			</div>
			<div id="tags-content" class="tab-content">
				{include file="tag-cloud.tpl" tags=$snippet.tags link=$snippet.taglink no_rounded_box=1}
				{include file="add-tag.tpl" current_tags=$snippet.tags item="tool" item_id=$snippet.tool_id}
			</div>
			{if $snippet.editable_by_user}
			<div id="edit-content" class="tab-content">
				{include file="tools/edit-snippet.tpl"}
			</div>
			{/if}
			<div id="feedback-content" class="tab-content">
  			{include file="list-comments.tpl" comments=$snippet.comments}
			</div>
		</div>
	</td>
	<td valign="top" align="left" width="30%" style="padding: 5px 10px;">
	<h1 class="section-title">Votes</h1>
	{include file="rating-block.tpl" item="tool" id=$snippet.tool_id score=$snippet.ratings.score vote=$snippet.vote total_votes=$snippet.ratings.total_votes}
	<h1 class="section-title">Watches</h1>
	{include file="tracking.tpl" item="tool" id=$snippet.tool_id observing=$snippet.observing num_observers=$snippet.num_observers}
	<h1 class="section-title">Provide Feedback</h1>
	{include file="add-comment.tpl" item="tool" id=$snippet.tool_id}
	</td>
 </tr>
</table>
{else}
<p>
Unfortunately, a code snippet with that ID does not exist 
</p>
{/if}
