<?php
if (!defined('RSS1'))
	define('RSS1', 'RSS 1.0', true);
if (!defined('RSS2'))
	define('RSS2', 'RSS 2.0', true);
if (!defined('ATOM'))
	define('ATOM', 'ATOM', true);
	
include('bootstrap.php');
HippoHttpResponse::init();

$handler= new FeedHandler();
$protocol= '';
$type= '';
$keyword= '';
if (isset($handler->handler_vars['p']))
	$protocol= $handler->handler_vars['p'];
if (isset($handler->handler_vars['t']))
	$type= $handler->handler_vars['t'];
if (isset($handler->handler_vars['k']))
	$keyword= $handler->handler_vars['k'];
	
$handler->set_keyword($keyword);

switch ($type) {
	case 'cs':
		$handler->set_type('code_snippets');
		break;
	case 'kw':
		$handler->set_type('keyword');
		break;
	case 'pr':
		$handler->set_type('projects');
		break;
	case 'wl':
		$handler->set_type('workload_tasks');
		break;
	default:  // Missing type
		$handler->set_type('workload_tasks');
		break;
}

switch ($protocol) {
	case 'atom':
		$handler->set_protocol(ATOM);
		break;
	case 'rss1':
		$handler->set_protocol(RSS1);
		break;
	case 'rss2':
		$handler->set_protocol(RSS2);
		break;
	default:  // Missing protocol
		$handler->set_protocol(RSS2);
		break;
}

$handler->display_feed();

?>