<?php
/** 
 * A simple reader for unified comments
 *
 * @ingroup Readers
 */
class CommentReader extends HippoReader {
	/**
	 * Constructor.
	 *
	 * @return 	void
	 * @param		connection	HippoSqlConnection instance
	 */
  public function __construct($connection) {
		$this->select_sql =<<<ENDOFSQL
SELECT
	c.item_type
,	c.item_id
, c.comment_id
, c.added_by
, c.added_on
, fu.display_name as added_by_display
, c.original_text
, c.clean_text
FROM Comments c 
INNER JOIN ForgeUser fu 
	ON c.added_by = fu.user_id
ENDOFSQL;
		parent::__construct($connection);
  }
}
?>


