<?php
/**
 * A plugin which grabs an email's avatar image
 * from the gravatar.com web service
 * 
 * @see http://gravatar.com
 */
class Gravatar extends HippoPlugin {

	public function __construct() {}

	public function info() {}

	public function init() {
		HippoEvents::listen('on_before_display_person', array($this, 'on_before_display_person'));
	}

	public function on_before_display_person($state) {
		extract($state);
		
		/* Use Gravatar service for image displays */
		$default_image_url= ForgeConfig::get('HTTP_ROOT') . 'img/user32.png';
		$image_size= 32;
		$gravatar_url= "http://www.gravatar.com/avatar.php?gravatar_id=" . md5($person['email']) . "&default=" . urlencode($default_image_url) . "&size=" . $image_size;
		$handler->handler_vars['gravatar_url']= $gravatar_url;
	}
}
?>
