INSERT INTO ItemTypes VALUES (4, 'Person');

CREATE TABLE ItemTags (
	item_type TINYINT UNSIGNED NOT NULL
, item_id INT UNSIGNED NOT NULL
, tag_id INT UNSIGNED NOT NULL
, PRIMARY KEY (item_type, item_id, tag_id)
, INDEX (tag_id, item_type)
) ENGINE=InnoDB;

INSERT INTO ItemTags
SELECT 1, project, tag
FROM Tag2Project
UNION ALL
SELECT 2, tool, tag
FROM Tag2Tool
UNION ALL
SELECT 3, task, tag
FROM Tag2WLTask
UNION ALL
SELECT 4, forge_user, tag
FROM Tag2ForgeUser;

DROP TABLE Tag2ForgeUser;
DROP TABLE Tag2Project;
DROP TABLE Tag2Snippet;
DROP TABLE Tag2Tool;
DROP TABLE Tag2WLTask;
