<?php
/* 
Add comment template.
Usage:
<?php
ForgeUI::include_template("add-comment.php", array('item'=>"task", 'item_id'=>$task.task_id));
?>
*/
?>
<div class="round-box">
<div class="round-top"><div></div></div>
<div class="round-inner">
<form action="<?php echo ForgeUrl::out("comment/add"); ?>" method="POST">
<input type="hidden" name="item" value="<?php echo $item; ?>" />
<input type="hidden" name="id" value="<?php echo $item_id; ?>" />
<p>
<img src="<?php echo $HTTP_ROOT;?>/img/note32.png" style="float: left; margin: 0px 10px 10px 0px;"/>
<strong>Please note</strong>:<br />
HTML</em> will be purified, but we allow for a number of HTML tags so that
you have the flexibility to decorate your comment text to some extent.  The
comments allow the following HTML tags:<br/><br/>
<strong>strong</strong>, <strong>b</strong>, <em>em</em>, blockquote, a, code, pre<br /><br />
To put code into your	comment, simply encapsulate your code with <br />
<code style="font-style: normal;"><strong>[code language="XXX"][/code]</strong></code>, where
XXX is any common language, for instance "PHP", "SQL", "C", etc.
<br /><br />
<hr />
</p>
<textarea <?php if (! $LOGGED_IN) {?>disabled="true"<?php } ?> type="text" class="inputbox" tabindex="3" cols="40" rows="8" id="comment_text" name="comment_text"></textarea>
<?php ForgeUI::error('comment_text');?>
<hr />
<input <?php if (! $LOGGED_IN) {?>disabled="true"<?php } ?> type="submit" class="button" value="Submit..." tabindex="12" />
</form>
<?php
if (! $LOGGED_IN) {
?>
<div class="cannot-comment">
<?php echo ForgeTranslate::get('You must be logged in to comment');?>
</div>
<?php
}
?>
</div>
<div class="round-bottom"><div><div></div></div></div>
