<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
 	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title><?php echo isset($page_title) ? $page_title : ForgeConfig::get('SITE_TITLE'); ?></title>
	<link rel="shortcut icon" href="<?php echo $HTTP_ROOT; ?>templates/favicon.ico" />
 	<link rel="stylesheet" type="text/css" href="<?php echo $HTTP_ROOT; ?>templates/style.css" media="screen"/>
<?php
	if (isset($stylesheets) && ! empty($stylesheets)) {
		foreach ($stylesheets as $stylesheet) {	
?>
 	<link rel="stylesheet" type="text/css" href="<?php echo $HTTP_ROOT . $stylesheet; ?>" media="screen"/>
<?php
		}
	}
?>
<?php
	if (isset($scripts) && ! empty($scripts)) {
		foreach ($scripts as $script) {	
?>
 	<script src="<?php echo $HTTP_ROOT . '/js/' . $script; ?>"></script>
<?php
		}
	}
?>
</head>
<body>
<?php include("header.php"); ?>
<div id="main-content">
<?php include("$content_template"); ?>
</div>
<?php include("footer.php"); ?>
</body>
</html>
