<form action="{$DIR_HTTPS}people/person.php" method="post">
<input type="hidden" name="action" value="edit" />
<input type="hidden" name="user_id" value="{$person.user_id}" />
<h2 class="section-subtitle">Private Information</h2>
<p class="callout-block">
All fields in the "Private Information" area will never be shown to any other Forge users.
</p>
<div class="mini-row"><label for="email">Your email address:</label>
	 <input autocomplete="off" type="text" class="inputbox" maxlength="80" size="34"
				id="email" name="email" value="{$person.email|escape|default:''}"
				tabindex="1" />
	{include file="form-error.tpl" id="email"}
</div>
<div class="mini-row"><label for="language">Your native Language:</label>
	<select id="language" name="language" tabindex="2" class="inputbox">
	{html_options options=$languages selected=$person.language}
	</select>
	{include file="form-error.tpl" id="language"}
</div>
<div class="mini-row"><label for="timezone">Your timezone:</label>
	<select id="timezone" name="timezone" tabindex="3" class="inputbox">
	{html_options options=$timezones selected=$person.timezone}
	</select>
	{include file="form-error.tpl" id="timezone"}
</div>
<div class="mini-row"><label for="address">Your home address:</label>
	<textarea class="inputbox" cols="30" rows="4"
						id="address" name="address" tabindex="5">{$person.address|escape|default:""}</textarea>
	{include file="form-error.tpl" id="address"}
</div>
<h2 class="section-subtitle">Public Information</h2>
<p class="callout-block">
These fields will be shown to Forge users when they view your public profile (this page).  If you don't want a field's information shown, leave it blank.
</p>
<div class="mini-row"><label for="display_name">Your display name:</label>
	 <input type="text" class="inputbox" maxlength="40" size="25"
				id="display_name" name="display_name" value="{$person.display_name|escape|default:''}"
				tabindex="5" />
	{include file="form-error.tpl" id="display_name"}
</div>
<div class="mini-row"><label for="first_name">Your first name:</label>
	 <input type="text" class="inputbox" maxlength="25" size="28"
				id="first_name" name="first_name" value="{$person.first_name|escape|default:''}"
				tabindex="6" />
	{include file="form-error.tpl" id="first_name"}
</div>
<div class="mini-row"><label for="last_name">Your last name:</label>
	 <input type="text" class="inputbox" maxlength="30" size="30"
				id="last_name" name="last_name" value="{$person.last_name|escape|default:''}"
				tabindex="7" />
	{include file="form-error.tpl" id="last_name"}
</div>
<div class="mini-row"><label for="url">Your website:</label>
	 <input type="text" class="inputbox" maxlength="80" size="45"
				id="url" name="url" value="{$person.url|escape|default:''}"
				tabindex="8" />
	{include file="form-error.tpl" id="url"}
</div>
<div class="mini-row"><label for="country">Your home country:</label>
	<select id="country" name="country" tabindex="9" class="inputbox">
		 {html_options options=$countries selected=$person.country}
	</select>
	{include file="form-error.tpl" id="country"}
</div>
<div class="mini-row"><label for="city">Your home city:</label>
	 <input type="text" class="inputbox" maxlength="30" size="30"
				id="city" name="city" value="{$person.city|escape|default:''}"
				tabindex="10" />
	{include file="form-error.tpl" id="city"}
</div>
<div class="mini-row"><label for="province">Your home province/state:</label>
	 <input type="text" class="inputbox" maxlength="20" size="20"
				id="province" name="province" value="{$person.province|escape|default:''}"
				tabindex="11" />
	{include file="form-error.tpl" id="province"}
</div>
<div class="mini-row"><label for="current_title">Your current position/title:</label>
	 <input type="text" class="inputbox" maxlength="100" size="40"
				id="current_title" name="current_title" value="{$person.current_title|escape|default:''}"
				tabindex="12" />
	{include file="form-error.tpl" id="current_title"}
</div>
<div class="mini-row"><label for="current_company">Your current employer:</label>
	 <input type="text" class="inputbox" maxlength="100" size="40"
				id="current_company" name="current_company" value="{$person.current_company|escape|default:''}"
				tabindex="13" />
	{include file="form-error.tpl" id="current_company"}
</div>
<div class="mini-row"><label for="bio">Your bio or "public page":</label>
	<textarea type="text" class="inputbox" tabindex="14" cols="70" rows="30" id="bio" name="bio">{$person.bio|escape|default:""}</textarea>
	{include file="form-error.tpl" id="bio"}
</div>
<p style="padding: 2px; width: 400px; margin-left: 35%;"> 
<img src="{$DIR_HTTP}img/note32.png" style="float: left; margin: 0px 10px 10px 0px;"/>
<strong>Please note</strong>:<br />
HTML</em> will be purified, but we allow for a number of HTML tags so that
you have the flexibility to decorate your bio to some extent.  The
comments allow the following HTML tags:<br/><br/>
<strong>strong</strong>, <strong>b</strong>, <em>em</em>, blockquote, a, code, pre<br /><br />
</p>
<div style="text-align: center;"><input  type="submit" class="button" value="Save..." tabindex="15" /></div>
</form>
