{literal}
<script type="text/javascript">
function setSelectionRange(input, selectionStart, selectionEnd) {
  if (input.setSelectionRange) {
    input.focus();
    input.setSelectionRange(selectionStart, selectionEnd);
  }
  else if (input.createTextRange) {
    var range = input.createTextRange();
    range.collapse(true);
    range.moveEnd('character', selectionEnd);
    range.moveStart('character', selectionStart);
    range.select();
  }
}

function replaceSelection (input, replaceString) {
	if (input.setSelectionRange) {
		var selectionStart = input.selectionStart;
		var selectionEnd = input.selectionEnd;
		input.value = input.value.substring(0, selectionStart)+ replaceString + input.value.substring(selectionEnd);
    
		if (selectionStart != selectionEnd){ 
			setSelectionRange(input, selectionStart, selectionStart + 	replaceString.length);
		}else{
			setSelectionRange(input, selectionStart + replaceString.length, selectionStart + replaceString.length);
		}

	}
	else if (document.selection) {
		var range = document.selection.createRange();

		if (range.parentElement() == input) {
			var isCollapsed = range.text == '';
			range.text = replaceString;

			 if (!isCollapsed)  {
				range.moveStart('character', -replaceString.length);
				range.select();
			}
		}
	}
}
// We are going to catch the TAB key so that we can use it, Hooray!
function catchTab(item,e){
	if(navigator.userAgent.match("Gecko")){
		c=e.which;
	}else{
		c=e.keyCode;
	}
	if(c==9){
		replaceSelection(item, '  ');
		setTimeout("document.getElementById('"+item.id+"').focus();",0);	
		return false;
	}
		    
}
</script>
{/literal}
<form action="{$DIR_HTTPS}tools/tool.php" method="post">
<input type="hidden" name="action" value="edit" />
<input type="hidden" name="tool_type" value="1" />
<input type="hidden" name="tool_id" value="{$snippet.tool_id}" />
<div class="mini-row"><label for="title">Name of Snippet:</label>
<input  type="text" class="inputbox" maxlength="150" size="45"
id="title" name="title" value="{$snippet.title|escape|default:""}"
tabindex="1" />
{include file="form-error.tpl" id="title"}
</div>
<div class="mini-row"><label for="program_language">Program Language:</label>
<select id="program_language" name="program_language" tabindex="2" class="inputbox">
{html_options options=$program_languages selected=$snippet.program_language}
</select>
{include file="form-error.tpl" id="program_language"}
</div>
<div class="mini-row"><label for="notes">Notes:</label>
<textarea  type="text" class="inputbox" tabindex="3" cols="50" rows="10" id="notes" name="notes">{$snippet.notes|escape|default:""}</textarea>
{include file="form-error.tpl" id="notes"}
</div>
<label style="font-weight: bold;" for="snippet_text">Enter Code below:</label><br />
<textarea wrap="off" onkeydown="return catchTab(this,event)" type="text" class="inputbox" tabindex="4" cols="70" style="font-family: monospace; font-size: 9px; width: 100%;" rows="30" id="snippet_text" name="snippet_text">{$snippet.snippet_text|escape|default:""}</textarea>
{include file="form-error.tpl" id="snippet_text"}
<div style="text-align: center;"><input  type="submit" class="button" value="Save..." tabindex="10" /></div>
</form>
