<?php
/* 
Tracking block template.
Usage:
  {include file="tracking.tpl" item="worklog" id=$task.task_id observing=$task.observing num_observers=$task.num_observers}
 */
?>
<div class="tracking-block">
	<div class="tracked-by"><strong {if $num_observers gt 0}style="color: green;"{/if}>{$num_observers}</strong> members are watching this {$item}</div>
<?php
if ($LOGGED_IN) {
	if (hippo_ifsetor($observing, FALSE)) {
?>
			<div class="tracking-on">(You are currently watching this {$item})</div>
			<a id="tracker" class="tracker" rel="nofollow" href="{$DIR_HTTP}tracking.php?item={$item}&json=1&item_id={$id}" title="You are currently watching this {$item}">Click to stop watching</a>
<?php
	}
	else {
?>
			<div class="tracking-off">(You are <em>not</em> currently watching this {$item})</div>
			<a id="tracker" class="tracker" rel="nofollow" href="{$DIR_HTTP}tracking.php?item={$item}&json=1&item_id={$id}" title="You are currently observing this {$item}">Click to watch</a>
<?php
	}
}
else {
?>
	<div style="color: #c00;">You must be logged in to track this {$item}.</div>
<?php
}
ForgeUI::error('observer');
?>
	</div>
</div>
